## apprise 1.0.0

=== requirements.txt ===
requests
requests-oauthlib
six
click >= 5.0
markdown
PyYAML

=== debian/changelog ===
apprise (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Upload to unstable
  * d/control: fix repositories address Vcs
  * d/patches: fix acute-accent-in-manual-page

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 10 Aug 2022 22:55:02 -0300

apprise (0.9.9-1) experimental; urgency=medium

  * Initial release. (Closes: #1014123)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 28 Jun 2022 23:48:22 -0300

=== debian/control ===
Source: apprise
Section: misc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-babel,
               python3-click,
               python3-cov-core,
               python3-coverage,
               python3-flake8,
               python3-markdown,
               python3-mock,
               python3-pytest,
               python3-pyyaml-env-tag,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-six,
               tox
Standards-Version: 4.6.1
Homepage: https://github.com/caronc/apprise
Vcs-Browser: https://salsa.debian.org/python-team/packages/apprise
Vcs-Git: https://salsa.debian.org/python-team/packages/apprise.git

Package: apprise
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Push Notifications that work with just about every platform
 Allows you to send notifications to more than 70 notification services.
 With emphasis on: Apprise API, AWS SES, Telegram, Discord, Slack, Amazon
 SNS, Gotify, Google Chat, Faast, IFTTT, Matrix, Microsoft Teams etc.
 .
 There is a small built-in Configuration Manager that can be optionally
 accessed through your web browser allowing, you to create and save as
 many configurations as you'd like. Each configuration is differentiated
 by a unique {KEY} that you decide on.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --with python3 --buildsystem=pybuild
#tests are failing for reasons as yet unknown.
override_dh_auto_test:

## apprise 1.1.0

=== requirements.txt ===
requests
requests-oauthlib
click >= 5.0
markdown
PyYAML

=== debian/changelog ===
apprise (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Drop useless, obsolete build-dep python3-cov-core.
    + Add new build-dep pytest-cov.
    + Drop removed build-dep mock, six.
    + Add new build-test-dep python3-dbus.
  * d/gbp.conf: Update default branch name accordingly.
  * d/rules: Enable test but still allow failure.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 17:58:51 -0400

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,16 @@
                python3-all,
                python3-babel,
                python3-click,
-               python3-cov-core,
                python3-coverage,
+               python3-dbus <!nocheck>,
                python3-flake8,
                python3-markdown,
-               python3-mock,
                python3-pytest,
+               python3-pytest-cov,
                python3-pyyaml-env-tag,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,
-               python3-six,
                tox
 Standards-Version: 4.6.1
 Homepage: https://github.com/caronc/apprise

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,4 @@
 	dh $@ --with python3 --buildsystem=pybuild
 #tests are failing for reasons as yet unknown.
 override_dh_auto_test:
+	-dh_auto_test

## apprise 1.2.0

=== debian/changelog ===
apprise (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * debian/control: included build depends to test
  * debian/rules: tests activated
  * debian/tests/control: included test autopkgtests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 26 Nov 2022 23:11:23 -0300

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                python3-dbus <!nocheck>,
                python3-flake8,
                python3-markdown,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-pyyaml-env-tag,
                python3-requests,
                python3-requests-oauthlib,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest -v -s test -p no:warnings -k 'not test_locale.py and not test_api.py' test/

endif

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -s test/test_api.py -p no:warnings
Depends: @, python3-pytest, python3, python3-pytest-mock, python3-requests,
Restrictions: allow-stderr

## apprise 1.4.5

=== debian/changelog ===
apprise (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * Source-only upload to allow testing migration
  * added complete tests directory

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 11 Jul 2023 20:22:00 -0300

apprise (1.4.0-2) unstable; urgency=medium

  * debian/changelog: removal of white spaces

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Jul 2023 12:50:22 -0300

apprise (1.4.0-1) unstable; urgency=medium

  * New usptrean version 1.4.0
  * debian/control: - Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023
  * Updadate man upstream

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Jul 2023 07:18:47 -0300

apprise (1.2.0-3) UNRELEASED; urgency=medium

  * Drop tox from Build-Depends, not used.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 May 2023 20:46:55 -0400

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,8 @@
                python3-pyyaml-env-tag,
                python3-requests,
                python3-requests-oauthlib,
-               python3-setuptools,
-               tox
-Standards-Version: 4.6.1
+               python3-setuptools
+Standards-Version: 4.6.2
 Homepage: https://github.com/caronc/apprise
 Vcs-Browser: https://salsa.debian.org/python-team/packages/apprise
 Vcs-Git: https://salsa.debian.org/python-team/packages/apprise.git

## apprise 1.7.2

=== requirements.txt ===
# Root certificate authority bundle.
certifi

# Application dependencies.
dataclasses; python_version<"3.7"
requests
requests-oauthlib
click >= 5.0
markdown
PyYAML

=== debian/changelog ===
apprise (1.7.2-1ubuntu1) noble; urgency=medium

  * d/p/002-Default-locale-logical-compatibility-with-Python-3.12.patch
    add a patch to fix Python 3.12 compatibility issues

 -- Zixing Liu <zixing.liu@canonical.com> Fri, 02 Feb 2024 12:58:21 -0700

apprise (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * debian/patches: Added new fix

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 01 Feb 2024 21:21:47 -0300

apprise (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 29 Dec 2023 23:12:51 -0300

apprise (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Oct 2023 20:18:00 -0300

apprise (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * debian/rules: Disabled test with error

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 29 Aug 2023 06:52:13 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apprise
 Section: misc
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest -v -s test -p no:warnings -k 'not test_locale.py and not test_api.py and not test_apprise_translations.py' test/

endif

## apprise 1.8.0

=== debian/changelog ===
apprise (1.8.0-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.
  * Rules: disable tests, various requirements cannot be met on
    bullseye.
  * Control: remove unused build-deps, add explicit dependency on
    python3-yaml.
  * Tests: replace custom autopkgtest with Testsuite: autopkgtest-pkg-
    python.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 01 Jun 2024 09:01:04 +0000

apprise (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 16 May 2024 19:29:30 -0300

apprise (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
  * debian/rules: Added-test-for-not-execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 24 Apr 2024 19:35:38 -0300

apprise (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 04 Apr 2024 19:22:40 -0300

apprise (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * debian/patches: Manual header update

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 12 Mar 2024 20:10:29 -0300

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,22 @@
 Source: apprise
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-babel,
-               python3-click,
-               python3-coverage,
-               python3-dbus <!nocheck>,
-               python3-flake8,
                python3-markdown,
-               python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-pytest-mock <!nocheck>,
-               python3-pyyaml-env-tag,
                python3-requests,
-               python3-requests-oauthlib,
-               python3-setuptools
+               python3-setuptools,
+               python3-yaml,
 Standards-Version: 4.6.2
 Homepage: https://github.com/caronc/apprise
 Vcs-Browser: https://salsa.debian.org/python-team/packages/apprise
 Vcs-Git: https://salsa.debian.org/python-team/packages/apprise.git
+Testsuite: autopkgtest-pkg-python
 
 Package: apprise
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/caronc/apprise/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## apprise 1.8.1

=== debian/changelog ===
apprise (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * debian/patches/001.fix_manual.patch: Update to new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 31 Jul 2024 21:25:12 -0300

apprise (1.8.0-3) unstable; urgency=medium

  * Bug opened mistakenly (Closes: #1061783)
  * debian/control:
     - Bumped Standards-Version to 4.7.0
     - Modified to dh-sequence-python3
  * debian/copyright: License changed to BSD-2-Clause (Closes: #1073198)
  * debian/rules: build with dh-sequence-python3, unnecessary --with python3

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 01:03:13 -0300

apprise (1.8.0-2) unstable; urgency=medium

  * debian/control: Fixed Build-Depends for python3-yaml (Closes: #515634)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jun 2024 23:20:33 -0300

## apprise 1.9.0

=== debian/changelog ===
apprise (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * debian/patches/001.fix_manual.patch: Update to new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 10 Sep 2024 21:16:11 -0300

## apprise 1.9.1

=== debian/changelog ===
apprise (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  *  debian/patches/001.fix_manual.patch: Update to new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 23 Dec 2024 20:51:25 -0300

## apprise 1.9.2

=== debian/changelog ===
apprise (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 29 Jan 2025 20:51:18 -0300

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,25 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-babel,
+               python3-click,
+               python3-coverage,
+               python3-dbus <!nocheck>,
+               python3-flake8,
                python3-markdown,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-yaml,
                python3-requests,
-               python3-setuptools,
-               python3-yaml,
-Standards-Version: 4.6.2
+               python3-requests-oauthlib,
+               python3-setuptools
+Standards-Version: 4.7.0
 Homepage: https://github.com/caronc/apprise
 Vcs-Browser: https://salsa.debian.org/python-team/packages/apprise
 Vcs-Git: https://salsa.debian.org/python-team/packages/apprise.git
-Testsuite: autopkgtest-pkg-python
 
 Package: apprise
 Architecture: all

## apprise 1.9.3

=== requirements.txt ===
# Root certificate authority bundle
certifi

# Application dependencies
requests
requests-oauthlib
click >= 5.0
markdown
PyYAML

=== debian/changelog ===
apprise (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * debian/control: Bumped Standards-Version to 4.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 05 Apr 2025 10:27:44 -0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/caronc/apprise
 Vcs-Browser: https://salsa.debian.org/python-team/packages/apprise
 Vcs-Git: https://salsa.debian.org/python-team/packages/apprise.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@  --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest -v -s test -p no:warnings -k 'not test_locale.py and not test_apprise_attachment_truncate and not test_api.py and not test_apprise_translations.py' test/

endif

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -s test/ -p no:warnings
Depends: @, python3-pytest, python3, python3-pytest-mock, python3-requests,
Restrictions: allow-stderr
